require "AnAL"
require "menu"
require "starfield"
require "player"
require "enemies"
function load_game()
	menu_load()
	starfield_load()
	player_load()
	bullets_load()
	enemies_load()
	game_over_load()
end
function love.load()
	reset = false
	font = love.graphics.newFont(14)
	show_debug = false
	state = "menu"

	scale = 2
	screen_width = love.graphics.getWidth()
	screen_height = love.graphics.getHeight()
	love.graphics.setDefaultImageFilter('linear', 'nearest')
	love.graphics.setMode(screen_width * scale, screen_height * scale)

	load_game()
end
function love.update(dt)
	if state == "menu" then
		menu_update(dt)
	elseif state == "game" then
		starfield_update(dt)
		enemies_update(dt)
		UPDATE_PLAYER(dt)
	elseif state == "game over" then
		game_over_update(dt)
	end
end
function love.draw()
	love.graphics.scale(scale)
	if state == "menu" then
		menu_draw()
	elseif state == "game" then
		starfield_draw()
		enemies_draw()
		DRAW_PLAYER()
		love.graphics.setNewFont("gfx/NEXTG___.TTF", 14)
		love.graphics.setColor(128, 100, 255)
		love.graphics.print("Score: "..player.score, 11, 11)
		love.graphics.print("Hi: "..hi, 141, 11)
		love.graphics.setColor(230, 220, 255)
		love.graphics.print("Score: "..player.score, 10, 10)
		love.graphics.print("Hi: "..hi, 140, 10)
	elseif state == "game over" then
		game_over_draw()
	end
end
function CheckCollision(ax1,ay1,aw,ah, bx1,by1,bw,bh)
	local ax2,ay2,bx2,by2 = ax1 + aw, ay1 + ah, bx1 + bw, by1 + bh
	return ax1 < bx2 and ax2 > bx1 and ay1 < by2 and ay2 > by1
end