hi = 0
require "bullet"
function player_load()
	player = {}
	--player.ship_image = love.graphics.newImage("gfx/ship.png")
	--player.ship_sprite = love.graphics.newQuad(96, 0, 32, 17, 224, 17)
	player.ship_image = love.graphics.newImage("gfx/ship_new2.png")
	player.ship_xplode = love.graphics.newImage("gfx/ship_xplode2.png")
	player.ship_sprite = love.graphics.newQuad(0, 0, 32, 16, 32, 16)
	player.ship_boom = newAnimation(player.ship_xplode, 32, 32, 0.03, 0)
	player.x = screen_width / 2
	player.y = screen_height / 2
	player.speed = 100
	player.score = 0
	player.kill = false
	player.life = 1
	player.xmax = screen_width - 32
	player.ymax = screen_height - 16
end
function player_update(dt)
	if player.score > hi then
		hi = player.score
	end
	for i, v in ipairs(boulettes) do
		if CheckCollision(v.x, v.y, 16, 4, player.x + 6, player.y + 4, 20, 8) then
			player.kill = true
		end
	end
	for i, v in ipairs(enemies) do
		if CheckCollision(v.x, v.y, 16, 16, player.x + 6, player.y + 4, 20, 8) then
			player.kill = true
		end
	end
	if player.kill == true then
		player.ship_boom:update(dt)
		if player.ship_boom:getCurrentFrame() == 10 then
			player.life = player.life - 1
		end
	end
	if player.life == 0 then
		state = "game over"
	end
end
function player_draw()
	player.x = math.floor(player.x)
	player.y = math.floor(player.y)
	love.graphics.setColor(255, 255, 255)
	if player.kill == false then
		love.graphics.drawq(player.ship_image, player.ship_sprite, player.x, player.y)
	elseif player.kill == true then
		player.ship_boom:draw(player.x, player.y)
	end
end
function love.keypressed(key, dt)
	if key == "escape" then
		love.event.push("quit")
	end
	if player.kill == false then
		if key == " " then
			bullets_shoot(dt)
		end
	end
	if key == "d" then
		debug.debug()
		if show_debug == true then
			show_debug = false
		elseif show_debug == false then
			show_debug = true
		end
	end
	if state == "menu" then
		if key == "return" then
			state = "game"
		end
	elseif state =="game over" then
		if key == "return" then
			reset = true
		end
	end
end
function player_movement(dt)
	if player.kill == false then
		if love.keyboard.isDown("left") then
			player.x = player.x - player.speed * dt
		elseif love.keyboard.isDown("right") then
			player.x = player.x + player.speed * dt
		end
		if love.keyboard.isDown("up") then
			player.y = player.y - player.speed * dt
		elseif love.keyboard.isDown("down") then
			player.y = player.y + player.speed * dt
		end
	end
end
function player_bounding(dt)
	if player.x < 0 then
		player.x = 0
	elseif player.x >  player.xmax then
		player.x = player.xmax
	end
	if player.y < 0 then
		player.y = 0
	elseif player.y > player.ymax then
		player.y = player.ymax
	end
 end
--------------------------------------------------------------
function UPDATE_PLAYER(dt)
	player_update(dt)
	player_movement(dt)
	player_bounding(dt)
	bullets_update(dt)
end
function DRAW_PLAYER()
	player_draw()
	bullets_draw()
end